//
//  ViewController.swift
//  class_init
//
//  Created by yoshiyuki oshige on 2014/08/09.
//  Copyright (c) 2014年 yoshiyuki oshige. All rights reserved.
//

import UIKit

class MyClass {
    // インスタンスプロパティ
    let msg:String
    
    // イニシャライザ
    init (msg:String = "ハロー") {
        self.msg = msg
    }
    
    // インスタンスメソッド
    func hello(){
        println(msg)
    }
}

class ViewController: UIViewController {
                            
    override func viewDidLoad() {
        super.viewDidLoad()
        
        // MyClassクラスのインスタンスmyObjを作る
        let myObj = MyClass(msg: "こんにちは")
        // hello()メソッドを実行する
        myObj.hello()
    }

    override func didReceiveMemoryWarning() {
        super.didReceiveMemoryWarning()
        // Dispose of any resources that can be recreated.
    }

}

