//
//  ViewController.swift
//  class_lazyProperty
//
//  Created by yoshiyuki oshige on 2014/08/12.
//  Copyright (c) 2014年 yoshiyuki oshige. All rights reserved.
//

import UIKit

class HomeClass {
    var owner = "yoshiyuki oshige"
}

class MyClass {
    // レイジープロパティ
    lazy var home = HomeClass()

    func hello() {
        println("ハロー")
    }
    func who(){
        //ここでhomeが初期化される
        println(home.owner)
    }
}

class ViewController: UIViewController {
                            
    override func viewDidLoad() {
        super.viewDidLoad()
        
        let myObj = MyClass()
        myObj.hello()
        myObj.who()
    }

    override func didReceiveMemoryWarning() {
        super.didReceiveMemoryWarning()
        // Dispose of any resources that can be recreated.
    }


}

