//
//  Hero.swift
//  class_inheritance
//
//  Created by yoshiyuki oshige on 2014/08/14.
//  Copyright (c) 2014年 yoshiyuki oshige. All rights reserved.
//

import Foundation

class Hero:Human {
    let heroName:String
    
    //サブクラスのイニシャライザ
    init(name:String, heroName:String){
        self.heroName = heroName
        //スーパークラスをイニシャライズする
        super.init(name: name)
    }
    //インスタンスメソッド
    func fly(km:Double){
        // スーパークラスのプロパティを使う
        log += km
        println("\(km)km 飛びます!")
    }
    //オーバーライドする
    override func walk(km: Double) {
        log += km*10
        println("\(km)km×10倍歩きます！")
    }
}