//
//  ViewController.swift
//  enum_func
//
//  Created by yoshiyuki oshige on 2014/08/17.
//  Copyright (c) 2014年 yoshiyuki oshige. All rights reserved.
//

import UIKit

enum Prize:Int{
    case Gold = 1, Silver, Bronze, Four, Five

    // 各賞の説明
    func description() -> String {
        switch self {
            case .Gold:
                return "優勝"
            case .Silver:
                return "準優勝"
            case .Bronze:
                return "準々優勝"
            case .Four, .Five:
                return "入賞"+String(self.rawValue)+"位"
        }
    }
}

class ViewController: UIViewController {
                            
    override func viewDidLoad() {
        super.viewDidLoad()
        
        // Bronze賞の説明を出力する
        let myRank = Prize.Bronze
        println(myRank.description())
        
        // 入賞ならば説明を出力する
        if let theRank = Prize(rawValue:5) {
            println(theRank.description())
        }
        
    }

    override func didReceiveMemoryWarning() {
        super.didReceiveMemoryWarning()
        // Dispose of any resources that can be recreated.
    }


}

