//
//  MyClass.swift
//  class_classProperty_computed
//
//  Created by yoshiyuki oshige on 2014/11/04.
//  Copyright (c) 2014年 yoshiyuki oshige. All rights reserved.
//

import Foundation

class MyClass {
    // プロパティmsgの値を保存するために利用する
    private struct Property {
        // 静的変数
        static var msg:String = ""
    }
    
    // Computedクラスプロパティmsg
    class var msg:String {
        // 値を参照する
        get {
            return Property.msg
        }
        // 値を設定する
        set (str){
            Property.msg = str
        }
    }
}