//
//  ViewController.swift
//  class_computed_property
//
//  Created by yoshiyuki oshige on 2014/08/11.
//  Copyright (c) 2014年 yoshiyuki oshige. All rights reserved.
//

import UIKit

class Circle {
    //半径
    var radius:Double = 1.0
    //面積
    var area:Double {
        // 面積を返す
        get{
            return radius * radius * M_PI
        }
        // 面積を設定する（半径を設定する）
        set (menseki){
            radius = sqrt(menseki / M_PI)
        }
    }
}

class ViewController: UIViewController {
                            
    override func viewDidLoad() {
        super.viewDidLoad()
        
        //円を作る
        var myCircle = Circle()
        //初期値の半径と面積
        println("半径\(myCircle.radius)")
        println("面積\(myCircle.area)")
        
        //面積を２倍にする
        myCircle.area *= 2
        println("半径\(myCircle.radius)")
        println("面積\(myCircle.area)")
        
    }

    override func didReceiveMemoryWarning() {
        super.didReceiveMemoryWarning()
        // Dispose of any resources that can be recreated.
    }


}

