//
//  ViewController.swift
//  class_init_overload_init3
//
//  Created by yoshiyuki oshige on 2014/08/10.
//  Copyright (c) 2014年 yoshiyuki oshige. All rights reserved.
//

import UIKit

class MyClass {
    // インスタンスプロパティ
    let msg:String
    let name:String
    
    // イニシャライザ1
    //convenience init (msg:String = "ハロー") {
       // self.init(msg:msg, name:"匿名")
       // self.name = nil
   // }
    // イニシャライザ2
    init (msg:String?, name:String?) {
        self.msg = msg ?? "ハロー"
        self.name = name ?? "匿名"
    }
    
    // インスタンスメソッド
    func hello(){
        var helloMsg:String
        //if let user = name {
            // nameがnilでなければ連結する
            helloMsg = name + "さん。" + msg
        //} else {
        //    helloMsg = msg
       // }
        println(helloMsg)
    }
}

class ViewController: UIViewController {
    
    override func viewDidLoad() {
        super.viewDidLoad()
        
        // MyClassクラスのインスタンスmyObjを作る
        let myObj = MyClass(msg: "こんにちは", name: "桜子")
    //let myObj = MyClass(msg:nil, name:nil)
        // hello()メソッドを実行する
        myObj.hello()
    }
    
    override func didReceiveMemoryWarning() {
        super.didReceiveMemoryWarning()
        // Dispose of any resources that can be recreated.
    }
    
}

