//
//  ViewController.swift
//  class_propertyObserver
//
//  Created by yoshiyuki oshige on 2014/08/11.
//  Copyright (c) 2014年 yoshiyuki oshige. All rights reserved.
//

import UIKit

class Player {
    var times = 0
    var level:Int {
        willSet {
            if level != newValue{
                println("\(level) → \(newValue)")
            }
        }
        didSet {
            if oldValue != level {
                ++times
                println("\(times)回目の更新")
            }
        }
    }
    
    //イニシャライザ
    init (){
        level = 0
    }
}


class ViewController: UIViewController {
    
    override func viewDidLoad() {
        super.viewDidLoad()
        // Do any additional setup after loading the view, typically from a nib.
        
        var thePlayer = Player()
        thePlayer.level = 10
        thePlayer.level = 10 //値が変化しないのでカウントしない
        thePlayer.level = 15
    }
    
    override func didReceiveMemoryWarning() {
        super.didReceiveMemoryWarning()
        // Dispose of any resources that can be recreated.
    }
    
}



