//
//  Game.swift
//  class_Game_GameProtocol
//
//  Created by yoshiyuki oshige on 2014/08/15.
//  Copyright (c) 2014年 yoshiyuki oshige. All rights reserved.
//

import Foundation

// Gameクラスと同時に使うプロトコル
protocol GameProtocol {
    var gamePoint:Int { get }
    func hit()
    func miss()
}
// 継承して使うGameクラス
class Game {
    // 継承で提供するメソッド（オーバーライド不可）
    final func gameHit(){
        let times = arc4random()%3
        if times == 0 {
            miss()
        } else {
            for _ in 0...times {
                hit()
            }
        }
    }
    // サブクラスでオーバーライドして使う
    func hit() {
    }
    func miss() {
    }
}