//
//  ViewController.swift
//  string_extention
//
//  Created by yoshiyuki oshige on 2014/08/16.
//  Copyright (c) 2014年 yoshiyuki oshige. All rights reserved.
//

import UIKit

// Stringクラスを拡張する
extension String {
    // 文字の並びをローテーションさせる
    func rotation(count:UInt) -> String{
        var str:NSString = (self as NSString)
        var firstStr:String, restStr:String
        // ストリングの１文字目を後ろに回す
        for _ in 1...count {
            firstStr = str.substringToIndex(1)
            restStr = str.substringFromIndex(1)
            str = restStr + firstStr
        }
        return str as String
    }
}


class ViewController: UIViewController {
    
    override func viewDidLoad() {
        super.viewDidLoad()
        
        var str = "あいうえおかきくけこ"
        // 3文字後ろに回す
        let result = str.rotation(3)
        println(result)
        
    }

    override func didReceiveMemoryWarning() {
        super.didReceiveMemoryWarning()
        // Dispose of any resources that can be recreated.
    }

}

