//
//  ViewController.swift
//  struct_Box_init
//
//  Created by yoshiyuki oshige on 2014/08/21.
//  Copyright (c) 2014年 yoshiyuki oshige. All rights reserved.
//

import UIKit

struct Box {
    let width:Int
    let height:Int
    let size:String
    //イニシャライザ
    init(width:Int, height:Int){
        self.width = width
        self.height = height
        //sizeを設定
        if (width+height)<250 {
            size = "M"
        } else {
            size = "L"
        }
    }
}

class ViewController: UIViewController {
    
    override func viewDidLoad() {
        super.viewDidLoad()
        
        let box1 = Box(width: 120, height: 80)
        let box2 = Box(width: 150, height: 120)
        println("box1のサイズは\(box1.size)")
        println("box2のサイズは\(box2.size)")
    }
    
    override func didReceiveMemoryWarning() {
        super.didReceiveMemoryWarning()
        // Dispose of any resources that can be recreated.
    }


}

