//
//  ViewController.swift
//  struct_Line_mutating
//
//  Created by yoshiyuki oshige on 2014/08/21.
//  Copyright (c) 2014年 yoshiyuki oshige. All rights reserved.
//

import UIKit

struct Point {
    var v:Int
    var h:Int
}

struct Line {
    //両端の座標
    var p1:Point
    var p2:Point
    //線を平行移動する
    mutating func move(#h:Int, v:Int){
        p1.h += h
        p1.v += v
        p2.h += h
        p2.v += v
    }
}

class ViewController: UIViewController {
    
    override func viewDidLoad() {
        super.viewDidLoad()
        
        // 両端の2点
        let point1 = Point(v: 100, h: 100)
        let point2 = Point(v: 300, h: 200)
        // 2点を結ぶ直線
        var theLine = Line(p1: point1, p2: point2)
        // 平行移動する
        theLine.move(h: 50, v: 60)
        let p1 = theLine.p1
        let p2 = theLine.p2
        println("移動後のp1の座標 \(p1.h, p1.v)")
        println("移動後のp2の座標\(p2.h, p2.v)")
    }

    override func didReceiveMemoryWarning() {
        super.didReceiveMemoryWarning()
        // Dispose of any resources that can be recreated.
    }


}

