//
//  ViewController.swift
//  struct_class_copy
//
//  Created by yoshiyuki oshige on 2014/08/21.
//  Copyright (c) 2014年 yoshiyuki oshige. All rights reserved.
//

import UIKit

//クラス定義
class BoxClass {
    var color:String
    init(color:String){
        self.color = color
    }
}
//構造体定義
struct BoxStruct {
    var color:String
}

class ViewController: UIViewController {
                            
    override func viewDidLoad() {
        super.viewDidLoad()
        
        //クラスの場合
        var cBox1 = BoxClass(color: "red")
        var cBox2 = cBox1
        cBox2.color = "green"
        println("cBox1の色\(cBox1.color)、cBox2の色\(cBox2.color)")
        
        //構造体の場合
        var sBox1 = BoxStruct(color: "red")
        var sBox2 = sBox1
        sBox2.color = "green"
        println("sBox1の色\(sBox1.color)、sBox2の色\(sBox2.color)")

    }

}

