//
//  ViewController.swift
//  struct_property
//
//  Created by yoshiyuki oshige on 2014/11/08.
//  Copyright (c) 2014年 yoshiyuki oshige. All rights reserved.
//

import UIKit

class ViewController: UIViewController {
    
    // 構造体を定義する
    struct ColorBox {
        var width:Int
        var height:Int
        var color:String
    }
    
    // 構造体を定義する（プロパティに初期値がある）
    struct WhiteBox {
        var width:Int = 100
        var height:Int = 100
        let color:String = "white"
    }
    
    override func viewDidLoad() {
        super.viewDidLoad()
        
        //　構造体を作る
        var redBox = ColorBox(width:120, height:100, color:"red")
        var theBox = WhiteBox()
        println((redBox.width, redBox.height, redBox.color))
        println((theBox.width, theBox.height,theBox.color))
        
        // WhiteBox構造体の初期値を指定して作成する
        var myBox = WhiteBox(width: 150, height: 200)
        //var myBox = WhiteBox(width: 150, height: 200, color: "green") // Swift1.2ではエラー
        println((myBox.width, myBox.height,myBox.color))
        
    }
    
    override func didReceiveMemoryWarning() {
        super.didReceiveMemoryWarning()
        // Dispose of any resources that can be recreated.
    }
    
    
}
